* Runs mortality for each background characteristic.

*Male.
Title 'Male'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A.
if (CM5 = 1) ceb = ceb + CM6A.
if (CM7 = 1) ceb = ceb + CM8A.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8A.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 1.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if (wage  = 3 or wage = 4).
compute sex = 1.

aggregate outfile = 'tmpresult.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).


*----------------------------------------------------------------.
*Female.
Title 'Female'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4B.
if (CM5 = 1) ceb = ceb + CM6B.
if (CM7 = 1) ceb = ceb + CM8B.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8B.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 2.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute sex = 2.

aggregate outfile = 'tmp.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 1.
Title 'Brest'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 1).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute HH7 = 1.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 2.
Title 'Vitebsk'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH7 = 2).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute HH7 = 2.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 3.
Title 'Gomel'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH7 = 3).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute HH7 = 3.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 4.
Title 'Grodno'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH7 = 4).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute HH7 = 4.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.
add files

  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 5.
Title 'Minsk city'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH7 = 5).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute HH7 = 5.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 6.
Title 'Minsk'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH7 = 6).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute HH7 = 6.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Region 7.
Title 'Mogilev'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH7 = 7).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute HH7 = 7.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Urban.
Title 'Urban'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH6 = 1).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute hh6 = 1.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Rural.
Title 'Rural'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (HH6 = 2).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute hh6 = 2.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Mother's education.
Title 'Secondary'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (melevel = 3).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute melevel = 3.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Mother's education.
Title 'Higher'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (melevel = 4).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute melevel = 4.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Poorest'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 1).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute Wlthind5 = 1.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Second'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 2).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute Wlthind5 = 2.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Middle'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 3).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute Wlthind5 = 3.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Fourth'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 4).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute Wlthind5 = 4.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.

*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Richest'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 5).
FILTER BY filter_$.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute Wlthind5 = 5.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Total.
Title 'Total'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 group from the North model.
select if(wage  = 3 or wage = 4).
compute total = 1.

aggregate outfile = 'tmp.sav'
  /break total
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'tmpresult.sav'.

add files
  /file = *
  /file = 'tmp.sav'.

*----------------------------------------------------------------.
variable label imr 'Infant Mortality Rate*'.
variable label u5mr 'Under-five Mortality Rate**'.
variable label sex 'Sex'.
variable label hh7 'Region'.
variable label hh6 'Area'.
variable label Wlthind5 'Wealth index quintiles'.
variable label melevel "Mother's education".
value label sex 1 'Male' 2 'Female'.
value label hh7
1 'Brest'
2 'Vitebsk'
3 'Gomel'
4 'Grodno'
5 'Minsk city'
6 'Minsk'
7 'Mogilev'.
value label hh6 1 'Urban' 2 'Rural'.
value label melevel  3 'Secondary' 4 'Higher'.
value label wlthind5 1 'Poorest' 2 'Second' 3 "Middle" 4 "Fourth" 5 "Richest".
value label total 1 'Total'.

Compute imrm = imr*1000.
Compute u5mrm = u5mr*1000.

variable label imrm 'Infant Mortality Rate*'.
variable label u5mrm "Under-five Mortality Rate**".

COMMENT -- Begin commenting out TABLES command to be converted to CTABLES
 table
  /observation = imrm u5mrm
  /table= sex + hh7 + hh6 + melevel + wlthind5 + total  by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   "Table CM.1: Child mortality" 
             "Infant and under-five mortality rates [BASED ON NORTH], BELARUS, 2005"
/caption
       "* MICS indicator 2; MDG indicator 14" "** MICS indicator 1; MDG indicator13".

COMMENT -- End commenting out TABLES command.
COMMENT -- Begin CTABLES command.
CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE sex[C] + hh7[C] + hh6[C] + melevel[C] + wlthind5[C] + total[C] BY 
  imrm[S][MEAN,'',F7.0]+u5mrm[S][MEAN,'',F7.0]
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE="Table CM.1: Child mortality"
  "Infant and under-five mortality rates [BASED ON NORTH], BELARUS, 2005"
  CAPTION="* MICS indicator 2; MDG indicator 14"
  "** MICS indicator 1; MDG indicator13".

COMMENT -- End CTABLES command.

new file.

erase file='tmp.sav'.
erase file='tmp2.sav'.
erase file='tmpcmr.sav'.
erase file='tmpresult.sav'.
