GET FILE='C:\MICS\SPSS\HH.sav'.

SELECT IF(hh9 = 1).

compute hhweight = hhweight*HH11.
weight by hhweight.

recode WS7 (11,12,13,21,22,31 = 1) (else = 2) into type.
variable label type "Type of toilet facility used by household".
value label type 
	1 "Improved sanitation facility" 
	2 "Unimproved sanitation facility".

select if  (type  = 1).
recode WS9 (97,99 = 99) (sysmis=1) (5 thru 9=5) (else = copy) into WS9.
variables labels ws9 "Number of households using the improved sanitation facility".

value label WS9
	5 "5-9"
	10 "Ten or more households" 
	98 "DK". 

compute total = 1.
variable label total "Number of households members using improved sanitation facilities".
value label total 1 "".

tables
  /format = zero 
  /ftotal = tot1 "Total" 
 /table = WS7+HH7 + HH6 + hhlevel + wlthind5 + tot1 by WS9 + tot1 + total 
  /statistics
    cpct(WS9 (f5.1) '': WS7 HH7 HH6 hhlevel wlthind5)  
    count(total (f5.0) '')
  /title
    "Table EN.5w: Shared use of improved sanitation facilities (working table)"+
		"Percent distribution of household population using improved sanitation facilities by number"+
                        " of the households using the facility, BELARUS, 2005".
new file.

