GET FILE='C:\MICS\SPSS\HL.sav'.

weight by hhweight.

* select children who are of primary school age; this definition is
* country-specific and should be changed to reflect the situation in your country.
select if (HL5 >= 6 and HL5 <= 9).

compute primary  = 0.
if (ED6A >=1 and ED6A <= 2) primary =  100.
variable label primary "".

variable label HL4 "".

tables
  /format = zero
  /observation = primary
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + Mlevel + wlthind5 + tot1 by 
	  HL4 > primary + tot1
  /statistics
    mean(primary (f5.1) 'Net attendance ratio')
    validn(primary (f5.0) 'Number of children')
  /title
    "Table ED.3: Primary school net attendance ratio"
		"Percentage of children of primary school age attending primary school or secondary school (NAR), BELARUS, 2005"
  /caption
    "* MICS indicator 55; MDG indicator 6".

new file.

******************************************************************.
*******                  FOR BELARUS                       *******.

GET FILE='C:\MICS\SPSS\HL.sav'.

weight by hhweight.

* select children who are of primary school age; this definition is
* country-specific and should be changed to reflect the situation in your country.
select if (HL5 >= 6 and HL5 <= 9).

compute primary  = 0.
if (ED6A >=0 and ED6A <= 2) primary =  100.
variable label primary "".

variable label HL4 "".

tables
  /format = zero
  /observation = primary
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + Mlevel + wlthind5 + tot1 by 
	  HL4 > primary + tot1
  /statistics
    mean(primary (f5.1) 'Net attendance ratio')
    validn(primary (f5.0) 'Number of children')
  /title
    "Table ED.3: Primary school net attendance ratio"
		"Percentage of children of primary school age attending primary school (INCLUDING KINDERGARTEN) or secondary school (NAR), BELARUS, 2005"
  /caption
    "* MICS indicator 55; MDG indicator 6".

new file.

