* open the children file.
GET FILE='C:\MICS\SPSS\CH.sav'.

* calculate the CMC date of interview.
COMPUTE cmcdoic = (UF8Y - 1900)*12 + UF8M.
variable label cmcdoic "Date of interview child (CMC)".

* set random number seed.
SET seed = 1003.

* calculate CMC date of birth and age (in months).
do if (UF10Y < 9996 and UF10M < 96).
+ COMPUTE Cdob = (UF10Y - 1900)*12 + UF10M.
else if (UF10Y < 9996).
+ COMPUTE aldob = cmcdoic - (UF11*12) - 11.
+ COMPUTE audob = cmcdoic - (UF11*12) - 0.
+ COMPUTE ldob = (UF10Y - 1900)*12 + 1.
+ COMPUTE udob = (UF10Y - 1900)*12 + 12.
+ IF (ldob >= aldob & ldob <= audob) Cdob = trunc(rv.uniform(ldob,audob)).
+ IF (aldob >= ldob & aldob <= udob) Cdob = trunc(rv.uniform(aldob,udob)).
+ IF (ldob > audob | aldob > udob) Cdob = trunc(rv.uniform(aldob,audob)).
else.
+ COMPUTE aldob = cmcdoic - (UF11*12) - 11.
+ COMPUTE audob = cmcdoic - (UF11*12) - 0.
+ COMPUTE Cdob = trunc(rv.uniform(aldob,audob)).
end if.
IF (cmcdoic - Cdob = 60) Cdob = cdob + 1.
IF (Cdob <> 9999) Cage = cmcdoic - Cdob.
variable label Cage "Age (months)".
variable label Cdob "Date of birth (CMC)".
missing values Cdob (9999).

* recode age in months into 6 month groups.
RECODE Cage (0 thru 5 = 1) (6 thru 11 = 2) (12 thru 23 = 3) (24 thru 35 = 4)
  (36 thru 47 = 5) (48 thru 59 = 6) into Cage_6.
variable label Cage_6 "Age".
value label Cage_6
  1 "< 6 months"
  2 "6-11 months"
  3 "12-23 months"
  4 "24-35 months"
  5 "36-47 months"
  6 "48-59 months".

* recode age in months into 5 month groups.
RECODE Cage (0 thru 11 = 1) (12 thru 23 = 2) (24 thru 35 = 3) (36 thru 47 = 4)
  (48 thru 59 = 5) into Cage_5.
variable label Cage_5 "Age".
value label Cage_5
  1 "0-11 months"
  2 "12-23 months"
  3 "24-35 months"
  4 "36-47 months"
  5 "48-59 months".

* education level.
recode ED3A (1 = 2) (4 = 3) (2 = 4) (5 = 5) (3 = 6) (6 = 7) (8,9 = 9) (else = 1) into Mlevel.
variable label Mlevel "Mother's education".
value label Mlevel
  1 "None"
  2 "Primary"
  3 "Incomplete secondary"
  4 "Secondary"
  5 "Primary/secondary professional"
  6 "Higher"
  7 "Non-standard curriculum"
  9 "Missing/DK".

* save the children's file.
SAVE OUTFILE = 'C:\MICS\SPSS\CH.sav'
  /drop aldob audob ldob udob.

