* open the household listing data file.
GET FILE='C:\MICS\SPSS\HL.sav'.

* keep heads of household only.
SELECT IF (HL3 = 1).

* sort the cases by cluster number, household number and line number.
SORT CASES by HH1 HH2 HL1.

* education level of household head.
RECODE ED3A (1 = 2) (4 = 3) (2 = 4) (5 = 5) (3 = 6) (6 = 7) (8,9 = 9) (else = 1) into HHlevel.
variable label HHlevel "Education of household head".
value label HHlevel
  1 "None"
  2 "Primary"
  3 "Incomplete secondary"
  4 "Secondary"
  5 "Primary/secondary professional"
  6 "Higher"
  7 "Non-standard curriculum"
  9 "Missing/DK".

* sex of household head.
RECODE HL4 (1,2 = copy) (else = 9) into HHsex.
variable label HHsex "Sex of household head".
value label HHsex
  1 "Male"
  2 "Female"
  9 "Missing/DK".

* save a data file of household heads with IDs and education as only vars.
SAVE OUTFILE = 'C:\MICS\SPSS\tmpHH.sav'
  /keep HH1 HH2 HHlevel HHsex.

* open the household data file.
GET FILE='C:\MICS\SPSS\HH.sav'.

* sort the cases by cluster number and household number.
SORT CASES by HH1 HH2.

* merge the household head file onto the household file.
MATCH FILES
  /file = *
  /table = 'C:\MICS\SPSS\tmpHH.sav'
  /by HH1 HH2 .

* resort the cases by cluster number and household number.
SORT CASES by HH1 HH2.

* save household data, which now contains the education of household head.
SAVE OUTFILE = 'C:\MICS\SPSS\HH.sav'.

* erase the working file.
ERASE FILE = 'C:\MICS\SPSS\tmpHH.sav'.
