* Create new variable strat for paired clusters and save in a separate file.
* The program assumes that the sampling domains are urban and rural areas (HH6) within 5 regions (HH7).

GET FILE='C:\MICS\SPSS\HH.sav'.

include file = "C:\MICS\SPSS\SE02 Strata pairs.sps".

* Break variables HH7 and HH6 should be changed, if needed, to reflect your sampling domains.
Aggregate outfile = "pairs.sav"
   /Break = HH7 HH6 HH1 strat
   /NumHH=N.

get file = "pairs.sav".
sort cases hh1.

save outfile = "pairs.sav".

* Do calculations for national total.

echo "Total sample".
Define subgroup ()
Use all.
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

* Do calculations for subgroups.

echo "Urban areas".
Define subgroup ()
select if (HH6=1).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

echo "Rural areas".
Define subgroup ()
select if (HH6=2).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".


echo "Region - BREST".
Define subgroup ()
select if (HH7=1).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

echo "Region - VITEBSK".
Define subgroup ()
select if (HH7=2).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

echo "Region - GOMEL".
Define subgroup ()
select if (HH7=3).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

echo "Region - GRODNO".
Define subgroup ()
select if (HH7=4).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

echo "Region - MINSK city".
Define subgroup ()
select if (HH7=5).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

echo "Region - MINSK".
Define subgroup ()
select if (HH7=6).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

echo "Region - MOGILEV".
Define subgroup ()
select if (HH7=7).
!enddefine.
include file = "C:\MICS\SPSS\SE03 Calculate.sps".

erase file 'micsplan.csplan'.
erase file 'pairs.sav'.
