GET  FILE='C:\MICS\SPSS\WM.sav'.

weight by WMWEIGHT.

select if (WM7 = 1 and CM1 = 1).

* calculate the CMC date of interview.
compute cmcdoiw = (WM6Y - 1900)*12 + WM6M.
variable label cmcdoiw "Date of interview women (CMC)".

* set random number seed.
set seed = 1003.

* calculate months since last birth IF last birth in last two years.
do if (CM11Y < 9996 and CM11M < 96).
+ compute wdolb = (CM11Y - 1900)*12 + CM11M.
else if (CM11Y < 9996).
+ compute udolb = (CM11Y - 1900)*12 + 12.
+ compute ldolb = (CM11Y - 1900)*12 + 1.
+ compute wdolb = trunc(rv.uniform(ldolb,udolb)).
end if.
variable label wdolb "Date of last birth (CMC)".

compute mslbrth = cmcdoiw - wdolb.
variable label mslbrth "Months since last birth".
format mslbrth (f3.0).

select if (mslbrth <= 35).

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = mslbrth + tot1 by (statistics)
  /statistics
    count(mslbrth (f5.0) 'Number')
    cpct(mslbrth (f5.1) 'Percent': )
  /title
    "Table DQ.10: Distribution of women by time since last birth" 
    "Distribution of women aged 15-49 years with at least one live birth (weighted), by months since last birth, BELARUS, 2005".

new file.

