GET  FILE='C:\MICS\SPSS\HL.sav'
/keep hh1 hh2 hl1 hl4 
/rename (hl1 = ln).

sort cases by HH1 HH2 LN.

save outfile = 'tmp.sav'.

GET  FILE='C:\MICS\SPSS\CH.sav'.

sort cases by HH1 HH2 LN.

match files
  /file = *
  /table = 'tmp.sav'
  /by HH1 HH2 LN.

select if (UF9 = 1).

weight by CHWEIGHT.

* calculate CMC date of birth and age (in months).
do if (UF10Y < 9996 and UF10M < 96).
+ compute cdob = (UF10Y - 1900)*12 + UF10M.
else if (UF10Y < 9996).
+ compute aldob = cmcdoic - (UF11*12) - 11.
+ compute audob = cmcdoic - (UF11*12) - 0.
+ compute ldob = (UF10Y - 1900)*12 + 1.
+ compute udob = (UF10Y - 1900)*12 + 12.
+ if (ldob >= aldob & ldob <= audob) cdob = trunc(rv.uniform(ldob,audob)).
+ if (aldob >= ldob & aldob <= udob) cdob = trunc(rv.uniform(aldob,udob)).
+ if (ldob > audob | aldob > udob) cdob = trunc(rv.uniform(aldob,audob)).
else.
+ compute aldob = cmcdoic - (UF11*12) - 11.
+ compute audob = cmcdoic - (UF11*12) - 0.
+ compute cdob = trunc(rv.uniform(aldob,audob)).
end if.
if (cmcdoic - cdob = 60) cdob = cdob + 1.
if (cdob <> 9999) cage = cmcdoic - cdob.

compute agem = trunc(cage/3).
variable label agem "Age in months".
value label agem
	0 	"0-2"
	1 	"3-5"
 	2	"6-8"
 	3 	"9-11"
 	4 	"12-14"
 	5 	"15-17"
 	6 	"18-20"
 	7 	"21-23"
 	8 	"24-26"
 	9 	"27-29"
 	10 	"30-32"
 	11 	"33-35"
 	12 	"36-38"
 	13 	"39-41"
 	14 	"42-44"
 	15 	"45-47"
 	16	"48-50"
 	17 	"51-53"
 	18 	"54-56"
 	19 	"57-59".

variable label hl4 ''.

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = agem + tot1 by hl4 + tot1
  /statistics
    count(hl4 (f5.0) 'Number')
    cpct(hl4 (f5.1) 'Percent': hl4)
  /title
    "Table DQ.4: Age distribution of under-5 children" 
    "Age distribution of under-5 children by 3-month groups (weighted), BELARUS, 2005".

new file.
erase file 'tmp.sav'.