GET  FILE='C:\MICS\SPSS\HL.sav'.
sort cases by hh1 hh2 hl1.

save outfile='tmp.sav'
 /keep hh1 hh2 hl1 hl4 hl5 /rename (hl1=hl8) (hl4=ctsex) (hl5=ctage).

* Choose only the children under 5.
select if (hl5 >= 0 and hl5 <= 4).

* Sort data according to caretaker's line number.
sort cases by hh1 hh2 hl8.
* Add sex of caretaker to household listing file.
match files
  /file = *
  /table = 'tmp.sav'
  /by HH1 HH2 HL8.

weight by HHWEIGHT.

compute mother = 2.
if (hl10 > 0) mother = 1.

compute inter = 9.
if (hl8 = hl10) inter = 1.
if (hl8 = hl12) inter = 2.
if (inter = 9 and ctsex = 2 and ctage >= 15) inter = 3.
if (inter = 9 and ctsex = 1 and ctage >= 15) inter = 4.
if (inter = 9 and ctage < 15) inter = 5.

value labels mother 1 "Mother in the household" 2 "Mother not in the household".
value labels inter 
    1 "Mother interviewed" 
    2 "Father interviewed" 
    3 "Other adult female interviewed"
    4 "Other adult male interviewed"
    5 "Child (<15) interviewed"
    9 "Other person interviewed".

compute total = 1.
value label total 1 "Number of children aged 0-4 years".

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = hl5 + tot1 by mother > inter + tot1 + total
  /statistics
  cpct( inter( F5.1 ) '':hl5 )
  /title
    "Table DQ.7: Presence of mother in the household and the person interviewed for the under-5 questionnaire" 
    "Distribution of children under five by whether the mother lives in the same household, and the person " +
    "interviewed for the under-5 questionnaire (weighted), BEKARUS, 2005".

new file.
erase file 'tmp.sav'.