GET FILE='R:\Work.05\MICS\SAV\HH.sav'.

select if (hh9 = 1).

* check frequency distribution of variables, look for missing values.

frequencies
  variables=hc2 hc3 hc4 hc5 hc6
		hc9a hc9b hc9c hc9d hc9e hc9f hc9g hc9h hc9i hc9j hc9k
		hc10a hc10b hc10c hc10d hc10e hc10f ws1 ws2 ws7
  /statistics=stddev mean
  /order=analysis .

* begin recoding, dichotomous variables or continuous variables.

* persons per sleeping room.

compute persroom = 99.
if (hc2 < 98) persroom = hh11/hc2.
variable label persroom 'Persons per sleeping rooms'.
missing values persroom (99).

* type of floor.

compute flrwd = 0.
if (hc3 = 21) flrwd = 1.
if (hc3 >= 98) flrwd = 9.
variable label flrwd 'Has wood floor'.
value label flrwd 0 'Not wood floor' 1 'Has wood floor' 9 'Missing'.
missing values flrwd (9).

compute flrpq = 0.
if (hc3 = 31) flrpq = 1.
if (hc3 >= 98) flrpq = 9.
variable label flrpq 'Has parquet/polished wood floor'.
value label flrpq 0 'Not parquet/polished wood floor' 1 'Has parquet/polished wood floor' 9 'Missing'.
missing values flrpq (9).

compute flrcpt = 0.
if (hc3 = 35) flrcpt = 1.
if (hc3 >= 98) flrcpt = 9.
variable label flrcpt 'Has carpet floor'.
value label flrcpt 0 'Not carpet floor' 1 'Has carpet floor' 9 'Missing'.
missing values flrcpt (9).

compute flrlin = 0.
if (hc3 = 36) flrlin = 1.
if (hc3 >= 98) flrlin = 9.
variable label flrlin 'Has linoleum floor'.
value label flrlin 0 'Not linoleum floor' 1 'Has linoleum floor' 9 'Missing'.
missing values flrlin (9).

compute flrlam = 0.
if (hc3 = 37) flrlam = 1.
if (hc3 >= 98) flrlam = 9.
variable label flrlam 'Has laminat floor'.
value label flrlam 0 'Not laminat floor' 1 'Has laminat floor' 9 'Missing'.
missing values flrlam (9).

compute flrdvp = 0.
if (hc3 = 96) flrdvp = 1.
if (hc3 >= 98) flrdvp = 9.
variable label flrdvp 'Has DVP floor'.
value label flrdvp 0 'Not DVP floor' 1 'Has DVP floor' 9 'Missing'.
missing values flrdvp (9).


* type of roof.

compute roofmetl = 0.
if (hc4 = 31) roofmetl = 1.
if (hc4 >= 98) roofmetl = 9.
variable label roofmetl 'Has metal roof'.
value label roofmetl 0 'Not metal roof' 1 'Has metal roof' 9 'Missing'.
missing values roofmetl (9).

compute roofslt = 0.
if (hc4 = 37) roofslt = 1.
if (hc4 >= 98) roofslt = 9.
variable label roofslt 'Has slate roof'.
value label roofslt 0 'Not slate roof' 1 'Has slate roof' 9 'Missing'.
missing values roofslt (9).

compute rooftile = 0.
if (hc4 = 38) rooftile = 1.
if (hc4 >= 98) rooftile = 9.
variable label rooftile 'Has tiled roof'.
value label rooftile 0 'Not tiled roof' 1 'Has tiled roof' 9 'Missing'.
missing values rooftile (9).

compute roofrub = 0.
if (hc4 = 39) roofrub = 1.
if (hc4 >= 98) roofrub = 9.
variable label roofrub 'Has ruberoid roof'.
value label roofrub 0 'Not ruberoid roof' 1 'Has ruberoid roof' 9 'Missing'.
missing values roofrub (9).


* type of wall.

compute wallbrk = 0.
if (hc5 = 33) wallbrk = 1.
if (hc5 >= 98) wallbrk = 9.
variable label wallbrk 'Has brick wall'.
value label wallbrk 0 'Not brick wall' 1 'Has brick wall' 9 'Missing'.
missing values wallbrk (9).

compute wallblk = 0.
if (hc5 = 34) wallblk = 1.
if (hc5 >= 98) wallblk = 9.
variable label wallblk 'Has cement block wall'.
value label wallblk 0 'Not cement block wall' 1 'Has cement block wall' 9 'Missing'.
missing values wallblk (9).

compute wallplnk = 0.
if (hc5 = 36) wallplnk = 1.
if (hc5 >= 98) wallplnk = 9.
variable label wallplnk 'Has wood plank/shingle wall'.
value label wallplnk 0 'Not wood plank/shingle wall' 1 'Has wood plank/shingle wall' 9 'Missing'.
missing values wallplnk (9).

compute wallpan = 0.
if (hc5 = 37) wallpan = 1.
if (hc5 >= 98) wallpan = 9.
variable label wallpan 'Has panel wall'.
value label wallpan 0 'Not panel wall' 1 'Has panel wall' 9 'Missing'.
missing values wallpan (9).

compute wallconc = 0.
if (hc5 = 38) wallconc = 1.
if (hc5 >= 98) wallconc = 9.
variable label wallconc 'Has concrete wall'.
value label wallconc 0 'Not concrete wall' 1 'Has concrete wall' 9 'Missing'.
missing values wallconc (9).


* type of cooking fuel.

compute fuelelec = 0.
if (hc6 = 01) fuelelec = 1.
if (hc6 >= 98) fuelelec = 9.
variable label fuelelec 'Household fuel type: electricity'.
value label fuelelec 0 'No' 1 'Yes' 9 'Missing'.
missing values fuelelec (9).

compute fuellpg = 0.
if (hc6 = 02) fuellpg = 1.
if (hc6 >= 98) fuellpg = 9.
variable label fuellpg 'Household fuel type: LPG'.
value label fuellpg 0 'No' 1 'Yes' 9 'Missing'.
missing values fuellpg (9).

compute fuelgas = 0.
if (hc6 = 03) fuelgas = 1.
if (hc6 >= 98) fuelgas = 9.
variable label fuelgas 'Household fuel type: natural gas'.
value label fuelgas 0 'No' 1 'Yes' 9 'Missing'.
missing values fuelgas (9).

compute fuelwood = 0.
if (hc6 = 08) fuelwood = 1.
if (hc6 >= 98) fuelwood = 9.
variable label fuelwood 'Household fuel type: wood'.
value label fuelwood 0 'No' 1 'Yes' 9 'Missing'.
missing values fuelwood (9).


* other household assets.

compute radio = 0.
if (hc9b = 1) radio = 1.
if (hc9b = 9) radio = 9.
variable label radio 'Household has: radio'.
value label radio 0 'No' 1 'Yes' 9 'Missing'.
missing values radio (9).

compute tv = 0.
if (hc9c = 1) tv = 1.
if (hc9c = 9) tv = 9.
variable label tv 'Household has: television'.
value label tv 0 'No' 1 'Yes' 9 'Missing'.
missing values tv (9).

compute mobile = 0.
if (hc9d = 1) mobile = 1.
if (hc9d = 9) mobile = 9.
variable label mobile 'Household has: mobile telephone'.
value label mobile 0 'No' 1 'Yes' 9 'Missing'.
missing values mobile (9).

compute phone = 0.
if (hc9e = 1) phone = 1.
if (hc9e = 9) phone = 9.
variable label phone 'Household has: non-mobile phone'.
value label phone 0 'No' 1 'Yes' 9 'Missing'.
missing values phone (9).

compute fridge = 0.
if (hc9f = 1) fridge = 1.
if (hc9f = 9) fridge = 9.
variable label fridge 'Household has: refrigerator'.
value label fridge 0 'No' 1 'Yes' 9 'Missing'.
missing values fridge (9).

compute vacclean = 0.
if (hc9g = 1) vacclean = 1.
if (hc9g = 9) vacclean = 9.
variable label vacclean 'Household has: vacuum cleaner'.
value label vacclean 0 'No' 1 'Yes' 9 'Missing'.
missing values vacclean (9).

compute sewmach = 0.
if (hc9h = 1) sewmach = 1.
if (hc9h = 9) sewmach = 9.
variable label sewmach 'Household has: sewing machine'.
value label sewmach 0 'No' 1 'Yes' 9 'Missing'.
missing values sewmach (9).

compute microw = 0.
if (hc9i = 1) microw = 1.
if (hc9i = 9) microw = 9.
variable label microw 'Household has: microwave'.
value label microw 0 'No' 1 'Yes' 9 'Missing'.
missing values microw (9).

compute PC = 0.
if (hc9j = 1) PC = 1.
if (hc9j = 9) PC = 9.
variable label PC 'Household has: PC'.
value label PC 0 'No' 1 'Yes' 9 'Missing'.
missing values PC (9).

compute washmach = 0.
if (hc9k = 1) washmach = 1.
if (hc9k = 9) washmach = 9.
variable label washmach 'Household has: washmachine'.
value label washmach 0 'No' 1 'Yes' 9 'Missing'.
missing values washmach (9).


* Other household assets 2.

compute watch = 0.
if (hc10a = 1) watch = 1.
if (hc10a = 9) watch = 9.
variable label watch 'Household member owns: watch'.
value label watch 0 'No' 1 'Yes' 9 'Missing'.
missing values watch (9).

compute bike = 0.
if (hc10b = 1) bike = 1.
if (hc10b = 9) bike = 9.
variable label bike 'Household member owns: bicycle'.
value label bike 0 'No' 1 'Yes' 9 'Missing'.
missing values bike (9).

compute moto = 0.
if (hc10c = 1) moto = 1.
if (hc10c = 9) moto = 9.
variable label moto 'Household member owns: motorcycle/scooter'.
value label moto 0 'No' 1 'Yes' 9 'Missing'.
missing values moto (9).

compute cart = 0.
if (hc10d = 1) cart = 1.
if (hc10d = 9) cart = 9.
variable label cart 'Household member owns: animal drawn cart'.
value label cart 0 'No' 1 'Yes' 9 'Missing'.
missing values cart (9).

compute car = 0.
if (hc10e = 1) car = 1.
if (hc10e = 9) car = 9.
variable label car 'Household member owns: car/truck'.
value label car 0 'No' 1 'Yes' 9 'Missing'.
missing values car (9).

compute boat = 0.
if (hc10f = 1) boat = 1.
if (hc10f = 9) boat = 9.
variable label boat 'Household member owns: boat with motor'.
value label boat 0 'No' 1 'Yes' 9 'Missing'.
missing values boat (9).


* source of drinking water.

compute watpdw = 0.
if (ws1 = 11) watpdw = 1.
if (ws1 >= 98) watpdw = 9.
variable label watpdw 'Has water piped into dwelling'.
value label watpdw 0 'Not water piped into dwelling' 1 'Has water piped into dwelling' 9 'Missing'.
missing values watpdw (9).

compute watpyd = 0.
if (ws1 = 12) watpyd = 1.
if (ws1 >= 98) watpyd = 9.
variable label watpyd 'Has water piped into yard/plot'.
value label watpyd 0 'Not water piped into yard/plot' 1 'Has water piped into yard/plot' 9 'Missing'.
missing values watpyd (9).

compute watptap = 0.
if (ws1 = 13) watptap = 1.
if (ws1 >= 98) watptap = 9.
variable label watptap 'Has public tap/standpipe for water'.
value label watptap 0 'Not public tap/standpipe for water' 1 'Has public tap/standpipe for water' 9 'Missing'.
missing values watptap (9).

compute watpwell = 0.
if (ws1 = 31) watpwell = 1.
if (ws1 >= 98) watpwell = 9.
variable label watpwell 'Has protected well for water'.
value label watpwell 0 'Not protected well for water' 1 'Has protected well for water' 9 'Missing'.
missing values watpwell (9).

compute watuwell = 0.
if (ws1 = 32) watuwell = 1.
if (ws1 >= 98) watuwell = 9.
variable label watuwell 'Has unprotected well for water'.
value label watuwell 0 'Not unprotected well for water' 1 'Has unprotected well for water' 9 'Missing'.
missing values watuwell (9).

compute watbott = 0.
if (ws1 = 91) watbott = 1.
if (ws1 >= 98) watbott = 9.
variable label watbott 'Has bottled water'.
value label watbott 0 'Not bottled water' 1 'Has bottled water' 9 'Missing'.
missing values watbott (9).

* type of sanitary facility

compute sanfsew = 0.
if (ws7 = 11) sanfsew = 1.
if (ws7 >= 98) sanfsew = 9.
variable label sanfsew 'Has flush to piped sewer system toilet'.
value label sanfsew 0 'Not flush to piped sewer system toilet' 1 'Has flush to piped sewer system toilet' 9 'Missing'.
missing values sanfsew (9).

compute sanfsep = 0.
if (ws7 = 12) sanfsep = 1.
if (ws7 >= 98) sanfsep = 9.
variable label sanfsep 'Has flush to septic system toilet'.
value label sanfsep 0 'Not flush to septic system toilet' 1 'Has flush to septic system toilet' 9 'Missing'.
missing values sanfsep (9).

compute sanfpit = 0.
if (ws7 = 13) sanfpit = 1.
if (ws7 >= 98) sanfpit = 9.
variable label sanfpit 'Has flush to pit latrine toilet'.
value label sanfpit 0 'Not flush to pit latrine toilet' 1 'Has flush to pit latrine toilet' 9 'Missing'.
missing values sanfpit (9).

compute sanvip = 0.
if (ws7 = 21) sanvip = 1.
if (ws7 >= 98) sanvip = 9.
variable label sanvip 'Has vent improved pit latrine toilet'.
value label sanvip 0 'Not vent improved pit latrine toilet' 1 'Has vent improved pit latrine toilet' 9 'Missing'.
missing values sanvip (9).

compute sanpitsl = 0.
if (ws7 = 22) sanpitsl = 1.
if (ws7 >= 98) sanpitsl = 9.
variable label sanpitsl 'Has pit latrine with slab toilet'.
value label sanpitsl 0 'Not pit latrine with slab toilet' 1 'Has pit latrine with slab toilet' 9 'Missing'.
missing values sanpitsl (9).

compute sanpit = 0.
if (ws7 = 23) sanpit = 1.
if (ws7 >= 98) sanpit = 9.
variable label sanpit 'Has pit latrine without slab toilet'.
value label sanpit 0 'Not pit latrine without slab toilet' 1 'Has pit latrine without slab toilet' 9 'Missing'.
missing values sanpit (9).

compute sancomp = 0.
if (ws7 = 31) sancomp = 1.
if (ws7 >= 98) sancomp = 9.
variable label sancomp 'Has composting toilet'.
value label sancomp 0 'Not composting toilet' 1 'Has composting toilet' 9 'Missing'.
missing values sancomp (9).

compute sanbuck = 0.
if (ws7 = 41) sanbuck = 1.
if (ws7 >= 98) sanbuck = 9.
variable label sanbuck 'Has bucket toilet'.
value label sanbuck 0 'Not bucket toilet' 1 'Has bucket toilet' 9 'Missing'.
missing values sanbuck (9).


factor
  /variables
             persroom
             flrwd flrpq flrcpt flrlin flrlam flrdvp
             roofmetl roofslt rooftile roofrub
             wallbrk wallblk wallplnk wallpan wallconc
             fuelelec fuellpg fuelgas fuelwood
             radio tv mobile phone fridge vacclean sewmach microw PC washmach
             watch bike moto cart car boat
             watpdw watpyd watptap watpwell watuwell watbott
             sanfsew sanfsep sanfpit sanvip sanpitsl sanpit
  /missing meansub
  /analysis
             persroom
             flrwd flrpq flrcpt flrlin flrlam flrdvp
             roofmetl roofslt rooftile roofrub
             wallbrk wallblk wallplnk wallpan wallconc
             fuelelec fuellpg fuelgas fuelwood
             radio tv mobile phone fridge vacclean sewmach microw PC washmach
             watch bike moto cart car boat
             watpdw watpyd watptap watpwell watuwell watbott
             sanfsew sanfsep sanfpit sanvip sanpitsl sanpit
  /print univariate initial extraction fscore
  /criteria factors(1) iterate(25)
  /extraction pc
  /rotation norotate
  /save reg(all)
  /method=correlation.

compute hhmemwt = hh11*hhweight.
weight by hhmemwt.
variable labels hhmemwt 'HH members weight for Index'.

rank
  variables=fac1_1  (A)
  /ntiles (5)
  /print=yes
  /ties=mean.

variable label nfac1_1 'wealth index quintiles'.
value label nfac1_1
	1 'Poorest'
	2 'Second'
	3 'Middle'
	4 'Fourth'
	5 'Richest'.
format nfac1_1 (f1.0).

frequencies
  variables=fac1_1
  /ntiles= 5
  /statistics=stddev minimum maximum mean median
  /order=analysis.

weight off.

SAVE OUTFILE='R:\Work.05\MICS\SPS\WEALTH\wealth.sav'
 /rename (fac1_1 = wlthscor) (nfac1_1 = wlthind5)
 /keep HH1 HH2 wlthscor wlthind5.

new file.

