*create a weights file for each unit of analysis.
GET FILE='R:\WORK.05\MICS\SPS\WEIGHT\weights.sav'.

sort cases by HH7 citytown.

save outfile = 'hhwgt.sav'
  /keep HH7 citytown HHWGTN5 HHWGTU5.

save outfile = 'hlwgt.sav'
  /keep HH7 citytown HHWGTN5 HHWGTU5.

save outfile = 'wmwgt.sav'
  /keep HH7 citytown WMWGTN5 WMWGTU5.

save outfile = 'chwgt.sav'
  /keep HH7 citytown CHWGTN5 CHWGTU5.

* Output file indicating if household in under 5 sample.
GET FILE='R:\WORK.05\MICS\SAV\HH.sav'.

sort cases by HH1 HH2.
save outfile = 'u5sample.sav' keep HH1 HH2 fl.

*add household weights to the household file.
GET FILE='R:\WORK.05\MICS\SAV\HH.sav'.

recode hh1 
  (1 thru 19, 45 thru 65, 86 thru 112, 132 thru 144, 168 thru 222, 223 thru 233, 268 thru 286 = 1) 
  (20 thru 34, 66 thru 77, 113 thru 123, 145 thru 159, 234 thru 254, 287 thru 298 = 2)
  (35 thru 44, 78 thru 85, 124 thru 131, 160 thru 167, 255 thru 267, 299 thru 304 = 3)
into citytown

sort cases by HH7 citytown.

match files
  /file = *
  /table = 'hhwgt.sav'
  /by HH7 citytown.

compute HHWEIGHT = 0.
if (fl = 2) HHWEIGHT = HHWGTN5.
if (fl = 1) HHWEIGHT = HHWGTU5.

if (HH9 <> 1) HHWEIGHT = 0.
execute.

delete variables HHWGTN5 HHWGTU5.

Save outfile = 'R:\WORK.05\MICS\SAV\HH.sav'.

*add household weights to the household listing file.
GET FILE='R:\WORK.05\MICS\SAV\HL.sav'.

recode hh1 
  (1 thru 19, 45 thru 65, 86 thru 112, 132 thru 144, 168 thru 222, 223 thru 233, 268 thru 286 = 1) 
  (20 thru 34, 66 thru 77, 113 thru 123, 145 thru 159, 234 thru 254, 287 thru 298 = 2)
  (35 thru 44, 78 thru 85, 124 thru 131, 160 thru 167, 255 thru 267, 299 thru 304 = 3)
into citytown

sort cases by HH7 citytown.

match files
  /file = *
  /table = 'hlwgt.sav'
  /by HH7 citytown.

match files
  /file = *
  /table = 'u5sample.sav'
  /by HH1 HH2.

compute HHWEIGHT = 0.
if (fl = 2) HHWEIGHT = HHWGTN5.
if (fl = 1) HHWEIGHT = HHWGTU5.
execute.

delete variables HHWGTN5 HHWGTU5.

save outfile = 'R:\WORK.05\MICS\SAV\HL.sav'.

*add women's weights to the women file.
GET FILE='R:\WORK.05\MICS\SAV\WM.sav'.

recode hh1 
  (1 thru 19, 45 thru 65, 86 thru 112, 132 thru 144, 168 thru 222, 223 thru 233, 268 thru 286 = 1) 
  (20 thru 34, 66 thru 77, 113 thru 123, 145 thru 159, 234 thru 254, 287 thru 298 = 2)
  (35 thru 44, 78 thru 85, 124 thru 131, 160 thru 167, 255 thru 267, 299 thru 304 = 3)
into citytown

sort cases by HH7 citytown.

match files
  /file = *
  /table = 'wmwgt.sav'
  /by HH7 citytown.

match files
  /file = *
  /table = 'u5sample.sav'
  /by HH1 HH2.

compute WMWEIGHT = 0.
if (fl = 2) WMWEIGHT = WMWGTN5.
if (fl = 1) WMWEIGHT = WMWGTU5.

if (WM7 <> 1) WMWEIGHT = 0.
execute.

delete variables WMWGTN5 WMWGTU5.

save outfile = 'R:\WORK.05\MICS\SAV\WM.sav'.

*add children's weights to the children file.
GET FILE='R:\WORK.05\MICS\SAV\CH.sav'.

recode hh1 
  (1 thru 19, 45 thru 65, 86 thru 112, 132 thru 144, 168 thru 222, 223 thru 233, 268 thru 286 = 1) 
  (20 thru 34, 66 thru 77, 113 thru 123, 145 thru 159, 234 thru 254, 287 thru 298 = 2)
  (35 thru 44, 78 thru 85, 124 thru 131, 160 thru 167, 255 thru 267, 299 thru 304 = 3)
into citytown

sort cases by HH7 citytown.

match files
  /file = *
  /table = 'chwgt.sav'
  /by HH7 citytown.

match files
  /file = *
  /table = 'u5sample.sav'
  /by HH1 HH2.

compute CHWEIGHT = 0.
if (fl = 2) CHWEIGHT = CHWGTN5.
if (fl = 1) CHWEIGHT = CHWGTU5.

if (UF9 <> 1) CHWEIGHT = 0.
execute.

delete variables CHWGTN5 CHWGTU5.

save outfile = 'R:\WORK.05\MICS\SAV\CH.sav'.

*delete working files.
new file.
erase file = 'hhwgt.sav'.
erase file = 'hlwgt.sav'.
erase file = 'wmwgt.sav'.
erase file = 'chwgt.sav'.
erase file = 'u5sample.sav'.
