get file = 'hh.sav'.

recode hh1 
  (1 thru 19, 45 thru 65, 86 thru 112, 132 thru 144, 168 thru 222, 223 thru 233, 268 thru 286 = 1) 
  (20 thru 34, 66 thru 77, 113 thru 123, 145 thru 159, 234 thru 254, 287 thru 298 = 2)
  (35 thru 44, 78 thru 85, 124 thru 131, 160 thru 167, 255 thru 267, 299 thru 304 = 3)
into citytown.

*** Choose the stratum definition that fits your sample ***.
* Strata defined by area and region.
* ASSUMPTIONS: HH6 in 1 to 2, HH7 in 1 to 7.
* CHANGES: If you have n regions, change 4 below to n.
compute stratum = hh7*10 + citytown.
* Strata define by region
* compute stratum = HH7.
format stratum (F3.0).

compute u5sample = 0.
if (fl = 1) u5sample = 1.
variable label u5sample "Under five children sample".


compute clust = 1.
if (hh1 = lag(hh1,1)) clust = 0.
variable label clust "Clusters completed".


compute hhfnd = 0.
if (hh9 <> 4) hhfnd = 1.
variable label hhfnd "Cluster: households found".

compute hhfndu5 = 0.
if (hh9 <> 4 and u5sample = 1) hhfndu5 = 1.
variable label hhfndu5 "Cluster: households found - HH with children".

compute hhfndn5 = 0.
if (hh9 <> 4 and u5sample = 0) hhfndn5 = 1.
variable label hhfndn5 "Cluster: households found - HH without children".


compute hhcomp = 0.
if (hh9 = 1) hhcomp = 1.
variable label hhcomp "Cluster: households completed".

compute hhcompu5 = 0.
if (hh9 = 1 and u5sample = 1) hhcompu5 = 1.
variable label hhcompu5 "Cluster: households completed - HH with children".

compute hhcompn5 = 0.
if (hh9 = 1 and u5sample = 0) hhcompn5 = 1.
variable label hhcompn5 "Cluster: households completed - HH without children".


compute wmu5 = 0.
if (u5sample = 1) wmu5 = hh12.
variable label wmu5 "Cluster: women eligible - HH with children".

compute wmn5 = 0.
if (u5sample = 0) wmn5 = hh12.
variable label wmn5 "Cluster: women eligible - HH without children".


compute wmcompu5 = 0.
if (u5sample = 1) wmcompu5 = hh13.
variable label wmcompu5 "Cluster: women completed - HH with children".

compute wmcompn5 = 0.
if (u5sample = 0) wmcompn5 = hh13.
variable label wmcompn5 "Cluster: women completed - HH without children".


compute chu5 = 0.
if (u5sample = 1) chu5 = hh14.
variable label chu5 "Cluster: children eligible - HH with children".

compute chn5 = 0.
if (u5sample = 0) chn5 = hh14.
variable label chn5 "Cluster: children eligible - HH without children".


compute chcompu5 = 0.
if (u5sample = 1) chcompu5 = hh15.
variable label chcompu5 "Cluster: children completed - HH with children".

compute chcompn5 = 0.
if (u5sample = 0) chcompn5 = hh15.
variable label chcompn5 "Cluster: children completed - HH without children".


aggregate outfile = 'tmp.sav'
  /break   = stratum
  /stclust   = sum(clust)
  /sthhfnd   = sum(hhfnd)
  /sthhfndu  = sum(hhfndu5)
  /sthhfndn  = sum(hhfndn5)
  /sthhcomp  = sum(hhcomp)
  /sthhcu5  = sum(hhcompu5)
  /sthhcn5  = sum(hhcompn5)
  /sthh12    = sum(hh12)
  /sthh12u5  = sum(wmu5)
  /sthh12n5  = sum(wmn5)
  /sthh13    = sum(hh13)
  /sthh13u5    = sum(wmcompu5)
  /sthh13n5    = sum(wmcompn5)
  /sthh14    = sum(hh14)
  /sthh14u5  = sum(chu5)
  /sthh14n5  = sum(chn5)
  /sthh15    = sum(hh15)
  /sthh15u5    = sum(chcompu5)
  /sthh15n5    = sum(chcompn5).

sort cases by stratum.

match files
  /file = *
  /table = 'tmp.sav'
  /by stratum.

variable labels
  stclust   "Strata: clusters completed"
  /sthhfnd  "Strata: households found"
  /sthhfndu  "Strata: households found - with children"
  /sthhfndn  "Strata: households found - without children"
  /sthhcomp "Strata: households completed"
  /sthhcu5  "Strata: households completed - with children"
  /sthhcn5  "Strata: households completed - without children"
  /sthh12   "Strata: eligible women"
  /sthh12u5   "Strata: eligible women - with children"
  /sthh12n5   "Strata: eligible women - without children"
  /sthh13   "Strata: interviewed women"
  /sthh13u5   "Strata: interviewed women - with children"
  /sthh13n5   "Strata: interviewed women - without children"
  /hh13     "Cluster: interviewed women"
  /sthh14   "Strata: eligible children"
  /sthh14u5   "Strata: eligible children - with children"
  /sthh14n5   "Strata: eligible children - without children"
  /sthh15   "Strata: interviewed children"
  /sthh15u5   "Strata: interviewed children - with children"
  /sthh15n5   "Strata: interviewed children - without children"
  /hh15     "Cluster: interviewed children"
.

tables
  /observation = stclust sthhfndu sthhfndn sthhcu5 sthhcn5 sthh12u5 sthh12n5 sthh13u5 sthh13n5 
                 sthh14u5 sthh14n5 sthh15u5 sthh15n5
  /tables = stratum by stclust + sthhfndn + sthhfndu + sthhcn5 + sthhcu5 + sthh12n5 + sthh12u5 + 
                       sthh13n5 + sthh13u5 + sthh14n5 + sthh14u5 + sthh15n5 + sthh15u5
  /statistics
    mean(stclust (F5.0) '')
    mean(sthhfndn (F5.0) '')
    mean(sthhfndu (F5.0) '')
    mean(sthhcn5 (F5.0) '')
    mean(sthhcu5 (F5.0) '')
    mean(sthh12n5 (F5.0) '')
    mean(sthh12u5 (F5.0) '')
    mean(sthh13n5 (F5.0) '')
    mean(sthh13u5 (F5.0) '')
    mean(sthh14n5 (F5.0) '')
    mean(sthh14u5 (F5.0) '')
    mean(sthh15n5 (F5.0) '')
    mean(sthh15u5 (F5.0) '')
  /title
    "Weight Tabulation".
